// Generated by gencpp from file skeleton_streamer/SetNoisySkeletonDispersion.msg
// DO NOT EDIT!


#ifndef SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSION_H
#define SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSION_H

#include <ros/service_traits.h>


#include <skeleton_streamer/SetNoisySkeletonDispersionRequest.h>
#include <skeleton_streamer/SetNoisySkeletonDispersionResponse.h>


namespace skeleton_streamer
{

struct SetNoisySkeletonDispersion
{

typedef SetNoisySkeletonDispersionRequest Request;
typedef SetNoisySkeletonDispersionResponse Response;
Request request;
Response response;

typedef Request RequestType;
typedef Response ResponseType;

}; // struct SetNoisySkeletonDispersion
} // namespace skeleton_streamer


namespace ros
{
namespace service_traits
{


template<>
struct MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersion > {
  static const char* value()
  {
    return "e455171ff03bf128b1cfbfb948576080";
  }

  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersion&) { return value(); }
};

template<>
struct DataType< ::skeleton_streamer::SetNoisySkeletonDispersion > {
  static const char* value()
  {
    return "skeleton_streamer/SetNoisySkeletonDispersion";
  }

  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersion&) { return value(); }
};


// service_traits::MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersionRequest> should match
// service_traits::MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersion >
template<>
struct MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersionRequest>
{
  static const char* value()
  {
    return MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersion >::value();
  }
  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest&)
  {
    return value();
  }
};

// service_traits::DataType< ::skeleton_streamer::SetNoisySkeletonDispersionRequest> should match
// service_traits::DataType< ::skeleton_streamer::SetNoisySkeletonDispersion >
template<>
struct DataType< ::skeleton_streamer::SetNoisySkeletonDispersionRequest>
{
  static const char* value()
  {
    return DataType< ::skeleton_streamer::SetNoisySkeletonDispersion >::value();
  }
  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest&)
  {
    return value();
  }
};

// service_traits::MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersionResponse> should match
// service_traits::MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersion >
template<>
struct MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersionResponse>
{
  static const char* value()
  {
    return MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersion >::value();
  }
  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionResponse&)
  {
    return value();
  }
};

// service_traits::DataType< ::skeleton_streamer::SetNoisySkeletonDispersionResponse> should match
// service_traits::DataType< ::skeleton_streamer::SetNoisySkeletonDispersion >
template<>
struct DataType< ::skeleton_streamer::SetNoisySkeletonDispersionResponse>
{
  static const char* value()
  {
    return DataType< ::skeleton_streamer::SetNoisySkeletonDispersion >::value();
  }
  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionResponse&)
  {
    return value();
  }
};

} // namespace service_traits
} // namespace ros

#endif // SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSION_H
